[API Reference](../README.md) > [IContractWrapper](../interfaces/IContractWrapper.md)



# Interface: IContractWrapper

## Hierarchy

**IContractWrapper**

↳  [ISchemeWrapper](ISchemeWrapper.md)




↳  [IVotingMachineWrapper](IVotingMachineWrapper.md)








## Implemented by

* [AbsoluteVoteWrapper](../classes/AbsoluteVoteWrapper.md)
* [ContractWrapperBase](../classes/ContractWrapperBase.md)
* [ContributionRewardWrapper](../classes/ContributionRewardWrapper.md)
* [DaoCreatorWrapper](../classes/DaoCreatorWrapper.md)
* [DaoTokenWrapper](../classes/DaoTokenWrapper.md)
* [GenesisProtocolWrapper](../classes/GenesisProtocolWrapper.md)
* [GlobalConstraintRegistrarWrapper](../classes/GlobalConstraintRegistrarWrapper.md)
* [IntVoteInterfaceWrapper](../classes/IntVoteInterfaceWrapper.md)
* [MintableTokenWrapper](../classes/MintableTokenWrapper.md)
* [ProposalGeneratorBase](../classes/ProposalGeneratorBase.md)
* [RedeemerWrapper](../classes/RedeemerWrapper.md)
* [ReputationWrapper](../classes/ReputationWrapper.md)
* [SchemeRegistrarWrapper](../classes/SchemeRegistrarWrapper.md)
* [StandardTokenWrapper](../classes/StandardTokenWrapper.md)
* [TokenCapGCWrapper](../classes/TokenCapGCWrapper.md)
* [UpgradeSchemeWrapper](../classes/UpgradeSchemeWrapper.md)
* [VestingSchemeWrapper](../classes/VestingSchemeWrapper.md)
* [VoteInOrganizationSchemeWrapper](../classes/VoteInOrganizationSchemeWrapper.md)


## Properties
<a id="address"></a>

###  address

**●  address**:  *[Address](../#Address)* 

*Defined in [iContractWrapperBase.ts:13](https://github.com/daostack/arc.js/blob/f343aa24/lib/iContractWrapperBase.ts#L13)*





___

<a id="contract"></a>

###  contract

**●  contract**:  *`any`* 

*Defined in [iContractWrapperBase.ts:14](https://github.com/daostack/arc.js/blob/f343aa24/lib/iContractWrapperBase.ts#L14)*





___

<a id="factory"></a>

###  factory

**●  factory**:  *[IContractWrapperFactory](IContractWrapperFactory.md)`any`* 

*Defined in [iContractWrapperBase.ts:10](https://github.com/daostack/arc.js/blob/f343aa24/lib/iContractWrapperBase.ts#L10)*





___

<a id="friendlyName"></a>

###  friendlyName

**●  friendlyName**:  *`string`* 

*Defined in [iContractWrapperBase.ts:12](https://github.com/daostack/arc.js/blob/f343aa24/lib/iContractWrapperBase.ts#L12)*





___

<a id="name"></a>

###  name

**●  name**:  *`string`* 

*Defined in [iContractWrapperBase.ts:11](https://github.com/daostack/arc.js/blob/f343aa24/lib/iContractWrapperBase.ts#L11)*





___


## Methods
<a id="hydrateFromAt"></a>

###  hydrateFromAt

► **hydrateFromAt**(address: *`string`*): `Promise`.<`any`>



*Defined in [iContractWrapperBase.ts:16](https://github.com/daostack/arc.js/blob/f343aa24/lib/iContractWrapperBase.ts#L16)*



**Parameters:**

| Param | Type | Description |
| ------ | ------ | ------ |
| address | `string`   |  - |





**Returns:** `Promise`.<`any`>





___

<a id="hydrateFromDeployed"></a>

###  hydrateFromDeployed

► **hydrateFromDeployed**(): `Promise`.<`any`>



*Defined in [iContractWrapperBase.ts:17](https://github.com/daostack/arc.js/blob/f343aa24/lib/iContractWrapperBase.ts#L17)*





**Returns:** `Promise`.<`any`>





___

<a id="hydrateFromNew"></a>

###  hydrateFromNew

► **hydrateFromNew**(...rest: *`Array`.<`any`>*): `Promise`.<`any`>



*Defined in [iContractWrapperBase.ts:15](https://github.com/daostack/arc.js/blob/f343aa24/lib/iContractWrapperBase.ts#L15)*



**Parameters:**

| Param | Type | Description |
| ------ | ------ | ------ |
| rest | `Array`.<`any`>   |  - |





**Returns:** `Promise`.<`any`>





___


